<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AdditionalShift extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id', 'shift_id', 'date', 'start_time', 'end_time'
    ];

    /**
    * For User and Additional Shift relationship
    **/
    public function user()
    {
        return $this->belongsTo('App\User');
    }

    /**
     * For Shift and Additional Shift relationship
    **/
    public function shift()
    {
        return $this->belongsTo('App\Shift');
    }
}
